Unable to test Eclipse-based applications

You can enable Eclipse-based applications (AUT) using the Rational Functional Tester Enabler tool for testing. Sometimes, there may be problems while enabling the Eclipse shell of the test application.

After you upgrade Rational Functional Tester ,


Enable Eclipse-based applications for testing

Enable applications based on Eclipse version 3.4 and later:

You can enable applications that are based on Eclipse version 3.4 and later using the Eclipse Software Updates feature.

  1. Open the application under test.

  2. Click Help > Software Updates.

  3. Click the Available Software tab.

  4. Click Add Site.

  5. Click Local.

  6. Browse to the EclipseEnabler directory under the FunctionalTester folder in the Rational Functional Tester install location.

  7. Click OK.

Enable applications based on versions prior to Eclipse version 3.4:

You can enable applications that are based on Eclipse versions prior version 3.4 for testing using the Eclipse Software Updates feature.

  1. Open the application under test.

  2. Click Help > Software Updates > Find and Install.

  3. Select Search for new features to install in the Feature Updates dialog box and click Next.

  4. Click New Local Site in the Update sites to visit page.

  5. Select the EclipseEnabler directory found under the FunctionalTester folder in the Rational Functional Tester install location. Click OK.

  6. Specify the name for the local site in the Name field and click OK. The site name is listed in the Update sites to visit page.

  7. Select the site from the list and click Finish. The specified directory, along with its sub folders, is listed in the Search Results page.

  8. Select the main directory in the Search Results page and click Next.

  9. In the Feature License page, select I accept the terms in the license agreement and click Next.

  10. Click Finish.

You can verify that the Eclipse application is enabled for testing by checking that the com.rational.test.ft.enabler.wsw plugin is added to the Plugins directory of the Eclipse application.

Some Eclipse based RCP applications may not have the Help > Software Updates option. In this case you can copy the com.rational.test.ft.enabler.wsw_7.0 plugin manually from the FunctionalTester\EclipseEnabler\Plugins directory from the Functional Tester install location into the Plugins directory of the RCP application. After doing this, restart the RCP application with the -clean option.


Disabling eclipse-based applications

Generally the applications that are enabled for functional testing is in the enabled state after you upgrade Rational Functional Tester . If you find any issues while testing the applications, disable the Eclipse application and enable it again for functional testing.

If you enabled the Eclipse application using the Rational Functional Tester enable applications option, disable the application from the Enable Applications window in Rational Functional Tester .

To disable the Eclipse application that was enabled using the Eclipse Software Updates feature:

  1. Open the application under test.

  2. Click Help > Software Updates.

  3. Click the Installed Software tab.

  4. Select the Eclipse application and click Uninstall.

Related tasks

Enable Eclipse platforms

Enable the GEF application